libhal1-flash_0.3.3-3_amd64.deb


Advertisement

Description

libhal1-flash - Compatibility library to allow playback of Flash DRM content

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libhal1-flash_0.3.3-3_amd64.deb
Package name libhal1-flash
Package version 0.3.3
Package release 3
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://github.com/cshorler/hal-flash
License -
Maintainer Kentaro Hayashi <hayashi@clear-code.com>
Download size 11.16 KB
Installed size 40.00 KB
A libhal stub library forwarding to UDisks specifically to satisfy the
libflashplayer.so / libadobecp requirements.
It is loosely based upon libhal.[ch] from the hal-0.5.14 package
for the external interface presented by the shared library libhal.
Further information on HAL can be found here:
http://www.freedesktop.org/wiki/Software/hal
The Adobe Flash web browser plugin for Linux relies upon libhal to provide
information required by libadobecp (which libflashplayer.so retrieves
from the internet) for playing back drm content.
Since HAL is no longer centric to most modern Linux systems (now there
are succeeded product such as UDev, UDisks and so on).
This library provides thin wrapper until such time as HTML5 becomes
standard for online TV (many sites continue to use Flash).

Alternatives

Package Version Architecture Repository
libhal1-flash_0.3.3-3_i386.deb 0.3.3 i386 Debian Main
libhal1-flash_0.3.3-dmo2_i386.deb 0.3.3 i386 Multimedia Main
libhal1-flash_0.3.3-dmo2_amd64.deb 0.3.3 amd64 Multimedia Main
libhal1-flash - - -

Requires

Name Value
libc6 >= 2.4
libdbus-1-3 >= 1.9.14
libglib2.0-0 >= 2.30.0
udisks2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libhal1-flash_0.3.3-3_amd64.deb
Source Package hal-flash

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libhal1-flash deb package:
    # sudo apt-get install libhal1-flash

Files

Path
/usr/lib/x86_64-linux-gnu/libhal.so.1
/usr/lib/x86_64-linux-gnu/libhal.so.1.0.0
/usr/share/doc/libhal1-flash/FAQ.txt
/usr/share/doc/libhal1-flash/README
/usr/share/doc/libhal1-flash/changelog.Debian.gz
/usr/share/doc/libhal1-flash/copyright

Changelog

2018-11-15 - Kentaro Hayashi <hayashi@clear-code.com>
hal-flash (0.3.3-3) unstable; urgency=medium
[ Ondřej Nový ]
* d/control: Add Vcs-* field
[ Kentaro Hayashi ]
* d/control
- Use debhelper-compat package for compatibility to 11.
- Bump standards version to 4.2.1. No other changes are required.
* d/compat: Remove obsolete file.
2018-02-23 - Kentaro Hayashi <hayashi@clear-code.com>
hal-flash (0.3.3-2) unstable; urgency=medium
* debian/control
- Update maintainer name.
- Bump debhelper version to 11.
- Fix priority-extra-is-replaced-by-priority-optional
- Bump standards version to 4.1.3.
- Fix useless-autoreconf-build-depends.
* debian/copyright
- Fix insecure protocol for the URI.
* debian/compat
- Bump compatibility level to 11.
2016-03-19 - HAYASHI Kentaro <hayashi@clear-code.com>
hal-flash (0.3.3-1) unstable; urgency=medium
* Initial upload to unstable (Closes: #818167)
* debian/source/format
- Use quilt format.
* debian/control
- Update standards-version to 3.9.7
- Use hal-flash as a source package name
- Update maintainer field as debian package
- Remove VCS- field template
- Fix suggest package name (flashplugin-nonfree) for debian
* debian/watch
- Add watch file
* debian/rules
- Apply hardening=+all
- Remove sample header comment
- Remove needless symbolic link file (libhal.so)
* debian/libhal1-flash.symbols
- Add symbols control file
2015-08-27 - Christopher Horler <cshorler@googlemail.com>
libhal1-flash (0.3.3) unstable; urgency=low
* Documentation update
2015-08-27 - Christopher Horler <cshorler@googlemail.com>
libhal1-flash (0.3.2) unstable; urgency=low
* Bug fix: string array issue
2015-05-19 - Martin Wimpress <code@flexion.org>
libhal1-flash (0.3.1) unstable; urgency=low
* Updated Debian packaing to fixed lintian warnings and errors.
2015-01-16 - Ryan Nowakowski <tubaman@fattuba.com>
libhal1-flash (0.3.0) unstable; urgency=low
* Add glib-dev as a build dependency
2013-05-29 - Christopher Horler <cshorler@googlemail.com>
libhal1-flash (0.2.0rc1) unstable; urgency=low
* Initial Release.

See Also

Package Description
libhamcrest-java-doc_1.3-9_all.deb library of matchers for building test expressions - documentation
libhamcrest-java_1.3-9_all.deb library of matchers for building test expressions
libhamlib++-dev_3.3-5_amd64.deb Development C++ library to control radio transceivers and receivers
libhamlib-dev_3.3-5_amd64.deb Development library to control radio transceivers and receivers
libhamlib-doc_3.3-5_all.deb Documentation for the hamlib radio control library
libhamlib-utils_3.3-5_amd64.deb Utilities to support the hamlib radio control library
libhamlib2++c2_3.3-5_amd64.deb Run-time C++ library to control radio transceivers and receivers
libhamlib2-perl_3.3-5_amd64.deb Run-time perl library to control radio transceivers and receivers
libhamlib2-tcl_3.3-5_amd64.deb Run-time Tcl library to control radio transceivers and receivers
libhamlib2_3.3-5_amd64.deb Run-time library to control radio transceivers and receivers
libhangul-data_0.1.0+git20170815-2_all.deb Hangul keyboard input library - data
libhangul-dev_0.1.0+git20170815-2_amd64.deb Hangul keyboard input library - development files
libhangul1_0.1.0+git20170815-2_amd64.deb Hangul keyboard input library - runtime
libharfbuzz-bin_2.3.1-1_amd64.deb OpenType text shaping engine (utility)
libharfbuzz-dev_2.3.1-1_amd64.deb Development files for OpenType text shaping engine
Advertisement
Advertisement